Bug 187302 - [new port] devel/p5-Encoding-BER 1.00 as new port
Summary: [new port] devel/p5-Encoding-BER 1.00 as new port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-05 20:10 UTC by Kurt Jaeger
Modified: 2014-04-27 13:30 UTC (History)
0 users

See Also:


Attachments
file.shar (1.99 KB, text/plain)
2014-03-05 20:10 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2014-03-05 20:10:00 UTC
	Perl module to encode/decode data using ASN.1 Basic
	Encoding Rules (BER)

Fix: #!/bin/sh
How-To-Repeat: 	-
Comment 1 Edwin Groothuis freebsd_committer 2014-03-05 20:10:08 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-05 20:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

wg@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 Kurt Jaeger freebsd_committer 2014-04-26 16:28:49 UTC
Responsible Changed
From-To: wg->pi

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-04-27 13:27:26 UTC
Author: pi
Date: Sun Apr 27 12:27:22 2014
New Revision: 352415
URL: http://svnweb.freebsd.org/changeset/ports/352415
QAT: https://qat.redports.org/buildarchive/r352415/

Log:
  New port: devel/p5-Encoding-BER
  
  Encode/decode data using ASN.1 Basic Encoding Rules (BER)
  
  PR:             ports/187302
  Submitted by:   pi (myself)
  Approved by:    culot (mentor)

Added:
  head/converters/p5-Encoding-BER/
  head/converters/p5-Encoding-BER/Makefile   (contents, props changed)
  head/converters/p5-Encoding-BER/distinfo   (contents, props changed)
  head/converters/p5-Encoding-BER/pkg-descr   (contents, props changed)
  head/converters/p5-Encoding-BER/pkg-plist   (contents, props changed)
Modified:
  head/converters/Makefile

Modified: head/converters/Makefile
==============================================================================
--- head/converters/Makefile	Sun Apr 27 12:23:38 2014	(r352414)
+++ head/converters/Makefile	Sun Apr 27 12:27:22 2014	(r352415)
@@ -83,6 +83,7 @@
     SUBDIR += p5-Encode-Locale
     SUBDIR += p5-Encode-Punycode
     SUBDIR += p5-Encode-compat
+    SUBDIR += p5-Encoding-BER
     SUBDIR += p5-Encoding-FixLatin
     SUBDIR += p5-Format-Human-Bytes
     SUBDIR += p5-JSON

Added: head/converters/p5-Encoding-BER/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/converters/p5-Encoding-BER/Makefile	Sun Apr 27 12:27:22 2014	(r352415)
@@ -0,0 +1,18 @@
+# Created by: Kurt Jaeger <pi@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	Encoding-BER
+PORTVERSION=	1.00
+CATEGORIES=	converters perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	pi@FreeBSD.org
+COMMENT=	Encode/decode data using ASN.1 Basic Encoding Rules (BER)
+
+LICENSE=	ART10
+
+USES=		perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/converters/p5-Encoding-BER/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/converters/p5-Encoding-BER/distinfo	Sun Apr 27 12:27:22 2014	(r352415)
@@ -0,0 +1,2 @@
+SHA256 (Encoding-BER-1.00.tar.gz) = 3f817e90e695028af64a060eb31781084f8adc2060c64676a15adcd523408a86
+SIZE (Encoding-BER-1.00.tar.gz) = 17106

Added: head/converters/p5-Encoding-BER/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/converters/p5-Encoding-BER/pkg-descr	Sun Apr 27 12:27:22 2014	(r352415)
@@ -0,0 +1,3 @@
+Perl module to encode/decode data using ASN.1 Basic Encoding Rules (BER)
+
+WWW: http://search.cpan.org/dist/Encoding-BER/

Added: head/converters/p5-Encoding-BER/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/converters/p5-Encoding-BER/pkg-plist	Sun Apr 27 12:27:22 2014	(r352415)
@@ -0,0 +1,15 @@
+%%PERL5_MAN3%%/Encoding::BER.3.gz
+%%PERL5_MAN3%%/Encoding::BER::CER.3.gz
+%%PERL5_MAN3%%/Encoding::BER::DER.3.gz
+%%PERL5_MAN3%%/Encoding::BER::Dumper.3.gz
+%%PERL5_MAN3%%/Encoding::BER::SNMP.3.gz
+%%SITE_PERL%%/Encoding/BER.pm
+%%SITE_PERL%%/Encoding/BER/CER.pm
+%%SITE_PERL%%/Encoding/BER/DER.pm
+%%SITE_PERL%%/Encoding/BER/Dumper.pm
+%%SITE_PERL%%/Encoding/BER/SNMP.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Encoding/BER/.packlist
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Encoding/BER
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Encoding
+@dirrm %%SITE_PERL%%/Encoding/BER
+@dirrmtry %%SITE_PERL%%/Encoding
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Kurt Jaeger freebsd_committer 2014-04-27 13:28:40 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!